import request from '@/utils/request';

/**
 * 提交申诉（增改服务项）
 * @param {Object} data 
 */
export function addSubOrderAppeal(data) {
  return request({
    url: '/order/subOrderAppeal',
    method: 'POST',
    data: data
  });
}

/**
 * 根据订单ID查询申诉记录列表（查看申诉进度）
 * @param {Number|String} orderId 子订单ID
 */
export function getAppealListByOrderId(orderId) {
  return request({
    url: `/order/subOrderAppeal/listByOrderId/${orderId}`,
    method: 'GET'
  });
}
